@import "vars";

/*==========  Desktop First  ==========*/
@media only screen and (max-width: 1420px) {
  .menu__link,
  .menu__link-price {
    padding: 10px 15px;
  }
}

@media only screen and (max-width: 1335px) {
  .menu__link,
  .menu__link-price {
    padding: 10px 10px;
  }
}

// ≥1200px
@media only screen and (max-width: 1200px) {
  .mobile-header {
    display: block;
    padding: 16px;
    .logo {
      width: 86px;
      height: 64px;
      background-size: contain;
    }
  }
  .menu-logo {
    display: none;
  }
  .btn_mnu {
    width: 30px;
    height: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: transparent;
    cursor: pointer;
    position: fixed;
    right: 15px;
    top: 26px;
    margin: auto;
    transition: all 0.5s ease;
    z-index: 999;
    &.active {
      .btn_row {
        background-color: $text;
        &:first-child {
          transform: rotate(-135deg);
          top: 6px;
        }
        &:last-child {
          -webkit-transform: rotate(-225deg);
          -ms-transform: rotate(-225deg);
          -o-transform: rotate(-225deg);
          transform: rotate(-225deg);
          top: -10px;
        }
        &:nth-child(2) {
          opacity: 0;
        }
      }
    }
  }
  .btn_row {
    height: 2px;
    width: 100%;
    margin: 3px 0;
    background-color: #fff;
    position: relative;
    transition: all 0.5s;
  }
  .header {
    z-index: 99;
    &.active {
      .btn_row {
        background-color: #000;
      }
    }
  }
  .menu {
    position: fixed;
    top: 0;
    right: -100%;
    max-width: 335px;
    width: 100%;
    background-color: #ffffff;
    transition: all 0.5s ease;
    height: 100%;
    padding: 16px;
    z-index: 99;
    overflow-y: auto;
    flex-direction: column;
    align-items: flex-start;
    justify-content: start;
    .menu__row {
      flex-wrap: wrap;
      justify-content: flex-start;
      width: 100%;
    }
    .menu__link,
    .menu__link-price {
      padding: 10px;
    }
    &__item {
      display: block;
      width: 100%;
      margin-bottom: 16px;
    }
    &__link,
    &__link-price {
      color: $text;
    }
    &.open {
      right: 0;
    }
  }
  .menu__bg {
    transition: all 0.5s ease;
    z-index: 9;
    &.open {
      position: fixed;
      background: #33333373;
      width: 100%;
      height: 100%;
      left: 0;
      top: 0;
    }
  }
}

// ≥992px
@media only screen and (max-width: 992px) {
}

// ≥768px
@media only screen and (max-width: 768px) {
  .work {
    margin-top: 16px;
    margin-bottom: 16px;
  }
  .work::after {
    display: none;
  }
}

// ≥576px
@media only screen and (max-width: 576px) {
  .main-section {
    max-width: 100%;
    background-attachment: inherit;
    min-height: 100vh;
    background-position: top center;
    background-image: url("../img/bg-mobile.jpg");
  }
  .order {
    margin-top: 30px;
  }
  .order__girl {
    max-width: 100%;
  }
  .order__logo {
    max-width: 86px;
  }
  .order-courier {
    margin-top: 40px;
    margin-bottom: 40px;
  }
  .title,
  .main-content__title {
    font-size: 34px;
    margin-bottom: 30px;
  }
  .service {
    margin-bottom: 30px;
  }
  .app-section {
    padding-top: 40px;
  }
  footer {
    min-height: 150px;
    img {
      max-width: 86px;
    }
  }
  .price {
    &__content {
      padding: 16px;
      padding-right: 0;
    }
    .table-row {
      width: 100%;
      overflow-x: scroll;
      padding-right: 16px;
    }
    table {
      width: 100%;
    }
  }
  .app__item {
    width: 100%;
    margin: 15px 0;
  }
  .app-carousel img {
    max-width: 100%;
  }
  .price__title {
    font-size: 16px;
    margin-top: 0;
  }
  .price table th,
  .price table td {
    font-size: 14px;
  }
  .best-section {
    padding-top: 60px;
    padding-bottom: 0;
    .title {
      font-size: 30px;
    }
  }
  .price__logo {
    max-width: 100px;
    margin-bottom: 16px;
  }
  .before-after-carousel {
    .slick-next {
      right: 27px;
    }
    .slick-prev {
      left: 5px;
    }
  }
  .beforeAndAfter {
    padding-left: 0;
    padding-right: 0;
  }
  .main-content {
    padding-left: 16px;
    padding-right: 16px;
    &__title {
      margin-bottom: 16px;
    }
    strong {
      font-size: 22px;
    }
  }
  .questions {
    margin-top: 40px;
  }
  .desctop {
    display: none;
  }
  .order-courier {
    &.mobile {
      margin-bottom: 0;
      display: none;
    }
  }
  .mobile {
    display: block;
  }
  .service-block {
    padding: 32px 24px 24px;
    border-radius: 16px;
    width: 100%;
    max-width: 500px;
    &__title {
      font-size: 18px;
      font-weight: 700;
      text-align: left;
      margin-bottom: 16px;
    }
    &__input,
    &__select,
    &__textarea {
      line-height: 44px;
      border-radius: 6px;
      box-sizing: border-box;
      padding: 0 16px;
      width: 100%;
      margin-bottom: 16px;
      border: 1px solid #e5e5ea;
      transition: all 0.3s ease;
      background-color: #fff;
      min-height: 44px;
      &:focus {
        border: 1px solid $accent;
        outline: none !important;
      }
      &::placeholder {
        font-size: 16px;
      }
    }
    &__input {
      margin-bottom: 0;
    }
    .ts-control {
      .item {
        font-size: 14px;
      }
    }
    .ts-dropdown {
      .option {
        font-size: 14px;
      }
    }
  }
  .footer-logo {
    position: initial;
    margin-bottom: 24px;
  }
  section {
    padding-top: 30px;
    padding-bottom: 30px;
  }
  .services-section {
    padding-top: 0;
    padding-bottom: 0;
  }
  .footer {
    padding-top: 30px;
  }
  .beforeAndAfter .title {
    margin-bottom: 30px;
  }
  .instagram-section {
    padding-bottom: 40px;
    .title {
      margin-bottom: 30px;
    }
  }
}

/*==========  Mobile First  ==========*/

// ≤576px
@include media-breakpoint-up(sm) {
}

// ≤768px
@include media-breakpoint-up(md) {
}

// ≤992px
@include media-breakpoint-up(lg) {
}

// ≤1200px
@include media-breakpoint-up(xl) {
}
